﻿/* the good stuff */
.img-featured-container {
    overflow: hidden;
    position: relative;
    text-align: center;
}
@media (max-width: 520px) {
    .instagram-img {
        width: 100%;
        position: relative;
        float: left;
    }
}

@media (min-width: 521px) {
    .instagram-img {
        width: 33.3%;
        position: relative;
        float: left;
    }
}


@media (max-width: 420px) {
    .img-featured-container {
        padding: 10px 0 10px 0;
    }

        .img-featured-container img {
            width: 100%;
            object-fit: cover;
        }
}
@media (min-width: 421px) and (max-width: 520px) {
    .img-featured-container {
        padding: 10px 10% 10px 10%;
    }

        .img-featured-container img {
            width: 280px;
            height: 280px;
            object-fit: cover;
        }
}

    @media (min-width: 521px) and (max-width: 679px) {
        .img-featured-container {
            padding: 10px 10% 10px 10%;
        }
        .img-featured-container img {
            width: 100%;
            height: 180px;
            object-fit: cover;
        }
    }

    @media (min-width: 680px) and (max-width: 859px) {
        .img-featured-container {
            padding: 10px 10% 10px 10%;
        }
        .img-featured-container img {
            width: 100%;
            height: 220px;
            object-fit: cover;
        }
    }

    @media (min-width: 860px) and (max-width: 992px) {
        .img-featured-container {
            padding: 10px 10% 10px 10%;
        }
        .img-featured-container img {
            width: 100%;
            height: 250px;
            object-fit: cover;
        }
    }

    @media (min-width: 993px) and (max-width: 1299px) {
        .img-featured-container {
            padding: 10px 10% 10px 10%;
        }
        .img-featured-container img {
            width: 100%;
            height: 250px;
            object-fit: cover;
        }
    }

    @media (min-width: 1300px) and (max-width: 1699px) {
        .img-featured-container {
            padding: 10px 5% 10px 5%;
        }
        .img-featured-container img {
            width: 100%;
            height: 300px;
            object-fit: cover;
        }
    }

    @media (min-width: 1700px) and (max-width: 1919px) {
        .img-featured-container {
            padding: 10px 10% 10px 10%;
        }
        .img-featured-container img {
            width: 100%;
            height: 350px;
            object-fit: cover;
        }
    }

    @media (min-width: 1920px) {
        .img-featured-container {
            padding: 10px 10% 10px 10%;
        }
        .img-featured-container img {
            width: 100%;
            height: 400px;
            object-fit: cover;
        }
    }

.img-featured-container .img-backdrop {
    background: -webkit-linear-gradient(315deg, rgba(210, 172, 103, 0.85), rgba(147, 110, 72, 0.85));
    background: linear-gradient(135deg, rgba(210, 172, 103, 0.85), rgba(147, 110, 72, 0.85));
    margin: 0;
    padding: 0;
    width: 80%;
    height: 95%;
    position: absolute;
    z-index: 1;
    opacity: 0;
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

    .img-featured-container:hover > .img-backdrop {
        opacity: 1;
    }

    /* center text horizontally and vertically on image hover */
    .img-featured-container .description-container {
        color: #fff;
        font-size: 16px;
        line-height: 1.2;
        padding: 0;
        text-align: center;
        line-height: 20px;
        width: 70%;
        position: absolute;
        top: 50%;
        left: 50%;
        -webkit-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
        -webkit-transform-style: preserve-3d;
        transform-style: preserve-3d;
        z-index: 2;
        opacity: 0;
        -webkit-transition: all .2s ease;
        transition: all .2s ease;
    }

        .img-featured-container .description-container .fa-instagram {
            font-size: 40px;
        }

        .img-featured-container .description-container p {
            font-weight: 300;
            margin-bottom: 0;
        }

    .img-featured-container:hover .description-container {
        opacity: 1;
    }

    .img-featured-container .description-container .caption {
        display: none;
        margin-bottom: 10px;
    }

    .img-featured-container .description-container .likes,
    .img-featured-container .description-container .comments {
        margin: 0 5px;
    }

    /* media queries  */
    @media screen and (min-width:768px) {
        .img-featured-container .description-container .caption {
            display: block;
        }
    }
